WordPress.org

Ready to get started?Download WordPress

Plugin Directory

!This plugin hasn't been updated in over 2 years. It may no longer be maintained or supported and may have compatibility issues when used with more recent versions of WordPress.

Theme options

This plugin manages theme customizations.

Version 0.7 (October 17, 2009)

  • Fixed uninstall bug
  • Fixed border properties bug in Format Snippet

Version 0.6 (October 10, 2009)

  • Noted the requirements for Custom Header Logo
  • Improved the localization
  • Improved the uninstall file
  • Changed Image Management table name
  • Changed Color Management table name
  • Changed from space indenting to tab indenting

Version 0.5 (September 11, 2009)

  • Added Color Management Snippet
  • Improved Format Snippet
  • Improved code base

Version 0.4.1 (August 9, 2009)

  • Fixed PHP import problem

Version 0.4 (July 19, 2009)

  • Added the Read More code snippet.
  • Fixed user permissions.
  • Reverted Hook Converting, likely going to be removed.
  • Added Import and Export for code snippets and settings.
  • Removed hook converting.
  • Limited the scope of JavaScript to this plugin only.
  • Increased checking filter values, to make sure empty ones aren't displayed.

Version 0.3 (July 7, 2009)

  • Expanded the hooks that will be converted in Thematic and Hybrid

Version 0.2 (June 13, 2009)

  • Fixed Image Management snippet's logo url inserter.
  • Fixed Image Management snippet's inserting logo problem.
  • Removed testing messages in snippet pannal POST.

Version 0.1 (June 13, 2009)

  • (Mass) Activate, (mass) deactivate, upload, download, create, edit, mass delete, and copy Code Snippets.
  • PHP code highlighting for backend editor using CodePress.
  • Circuit breaker switch for code snippets.
  • New code snippets: Image Management, Favicon, Post Author, Comments, Custom Header, and Format (site elements).
  • Basic (limited) Hook Coverting: SNHT to Thematic, SNHT to Hybrid, Hybrid to SNHT, and Thematic to SNHT.
  • Snippets Panel Page and Snippet Options Page
  • CSS file for any snippet to use.

Requires: 2.8 or higher
Compatible up to: 2.8.4
Last Updated: 2009-10-18
Downloads: 14,816

Ratings

3 stars
3.3 out of 5 stars

Support

Got something to say? Need help?

Compatibility

+
=
Not enough data

0 people say it works.
0 people say it's broken.

100,1,1
0,2,0
67,3,2
100,1,1